libnvme(2)

NAME
struct nvme_mi_admin_resp_hdr - Admin command response header.

SYNOPSIS
struct nvme_mi_admin_resp_hdr {
struct nvme_mi_msg_hdr hdr;
__u8 status;
__u8 rsvd0[3];
__le32 cdw0, cdw1, cdw3;
};

Members

hdr Generic MI message header

status
    Generic response code, non-zero on failure

rsvd0
    Reserved

cdw0
    Completion Queue Entry doubleword 0

cdw1
    Completion Queue Entry doubleword 1

cdw3
    Completion Queue Entry doubleword 3

Description
This is the generic response format with the three doublewords of completion queue data, plus optional response data.